commit:     47f2827b060d4bc90f4bbcabc37a462a953760e2
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 18 19:49:10 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Mar 18 19:53:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47f2827b

sys-kernel/linux-firmware: synchronize live ebuild

...while there, use "-gt" for better readability.

Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 sys-kernel/linux-firmware/linux-firmware-20200316.ebuild | 2 +-
 sys-kernel/linux-firmware/linux-firmware-99999999.ebuild | 6 ++++--
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/sys-kernel/linux-firmware/linux-firmware-20200316.ebuild 
b/sys-kernel/linux-firmware/linux-firmware-20200316.ebuild
index 3e7ea3c45bb..6aa47ba4918 100644
--- a/sys-kernel/linux-firmware/linux-firmware-20200316.ebuild
+++ b/sys-kernel/linux-firmware/linux-firmware-20200316.ebuild
@@ -84,7 +84,7 @@ src_unpack() {
        else
                default
                # rename directory from git snapshot tarball
-               if [[ ${#GIT_COMMIT} > 8 ]]; then
+               if [[ ${#GIT_COMMIT} -gt 8 ]]; then
                        mv ${PN}-*/ ${P} || die
                fi
        fi

diff --git a/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild 
b/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild
index 7bc4d9624e2..b118008def6 100644
--- a/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild
+++ b/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -84,7 +84,9 @@ src_unpack() {
        else
                default
                # rename directory from git snapshot tarball
-               mv ${PN}-*/ ${P} || die
+               if [[ ${#GIT_COMMIT} -gt 8 ]]; then
+                       mv ${PN}-*/ ${P} || die
+               fi
        fi
 }
 

Reply via email to